Subject: Re: New Object Access Type hooks

From: Mark Dilger <[email-masked]>
Date: Fri, 18 Mar 2022 08:15:47 -0700

> On Mar 18, 2022, at 7:16 AM, Joshua Brindle <[email-masked]> wrote:
> 
> This is great, thank you for doing this. I didn't even realize the OAT
> hooks had no regression tests.
> 
> It looks good to me, I reviewed both and tested the module. I wonder
> if the slight abuse of subid is warranted with brand new hooks going
> in but not enough to object, I just hope this doesn't rise to the too
> large to merge this late level.

The majority of the patch is regression testing code, stuff which doesn't get installed.  It's even marked as NO_INSTALLCHECK, so it won't get installed even as part of "make installcheck".  That seems safe enough to me.

Not including tests of OAT seems worse, as it leaves us open to breaking the behavior without realizing we've done so.  A refactoring of the core code might cause hooks to be called in a different order, something which isn't necessarily wrong, but should not be done unknowingly.

—
Mark Dilger
EnterpriseDB: http://www.enterprisedb.com
The Enterprise PostgreSQL Company